Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class UnmodifiableOrderedMapIterator

    java.lang.Object
      org.apache.commons.collections.iterators.UnmodifiableOrderedMapIterator

All Implemented Interfaces:
  java.util.Iterator, MapIterator, OrderedIterator, OrderedMapIterator, Unmodifiable

    public final class UnmodifiableOrderedMapIterator

extends java.lang.Object
implements OrderedMapIterator, Unmodifiable

Decorates an ordered map iterator such that it cannot be modified.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Method Summary
`static OrderedMapIterator` | `decorate(OrderedMapIterator iterator)` Decorates the specified iterator such that it cannot be modified.
`java.lang.Object` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`java.lang.Object` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` | `hasNext()` Checks to see if there are more entries still to be iterated.
`boolean` | `hasPrevious()` Checks to see if there is a previous element that can be iterated to.
`java.lang.Object` | `next()` Gets the next key from the `Map`.
`java.lang.Object` | `previous()` Gets the previous element from the collection.
`void` | `remove()` Removes the last returned key from the underlying `Map` (optional operation).
`java.lang.Object` | `setValue(java.lang.Object value)` Sets the value associated with the current key (optional operation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decorate

    public static OrderedMapIterator decorate(OrderedMapIterator iterator)

  Decorates the specified iterator such that it cannot be modified.

  Parameters:
    `iterator` - the iterator to decorate
  Throws:
    `java.lang.IllegalArgumentException` - if the iterator is null

### hasNext

    public boolean hasNext()

  Description copied from interface: `MapIterator`
  Checks to see if there are more entries still to be iterated.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `MapIterator`
  Returns:
    `true` if the iterator has more elements

### next

    public java.lang.Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `OrderedIterator`
  Checks to see if there is a previous element that can be iterated to.

  Specified by:
    `hasPrevious` in interface `OrderedIterator`
  Specified by:
    `hasPrevious` in interface `OrderedMapIterator`
  Returns:
    `true` if the iterator has a previous element

### previous

    public java.lang.Object previous()

  Description copied from interface: `OrderedIterator`
  Gets the previous element from the collection.

  Specified by:
    `previous` in interface `OrderedIterator`
  Specified by:
    `previous` in interface `OrderedMapIterator`
  Returns:
    the previous element in the iteration

### getKey

    public java.lang.Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value

### remove

    public void remove()

  Description copied from interface: `MapIterator`
  Removes the last returned key from the underlying `Map` (optional operation).

  This method can be called once per call to `next()`.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `MapIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.